project.version = "$version"
project.group = "$group"

// apply from: "$publishGradlePath"

kotlin {
    android {
        publishAllLibraryVariants()
    }

    sourceSets {
        commonMain {
            dependencies {
                implementation kotlin('stdlib')
            }
        }
        commonTest {
            dependencies {
                implementation kotlin('test-common')
                implementation kotlin('test-annotations-common')
            }
        }
        androidTest {
            dependencies {
                implementation kotlin('test-junit')
                implementation libs.androidx.test.junit
                implementation libs.androidx.espresso
            }
        }
    }
}

apply from: "$defaultAndroidSettingsPresetPath"
